Установка нескольких серверов хранилищ «1С:Предприятия» 8.3 на Ubuntu

   Комментариев к записи Установка нескольких серверов хранилищ «1С:Предприятия» 8.3 на Ubuntu нет   

profcad.ru

Для работы были использованы команды Linux:
— dpkg

— sysv-rc-conf ()

— update-rc.d
_http://manpages.ylsoftware.com/ru/update-rc.d.8.html

— ps aux|grep

— START-STOP-DAEMON
_http://www.calculate-linux.ru/main/ru/start-stop-daemon
_http://help.ubuntu.ru/wiki/start-stop-daemon

Пошаговка :
1. Качаем дистрибутив, где в архиве присутствует «***-crs-***» в основном есть они в 32-х разрядных сборках и нет в 64-х разрядных «Cервер 1С:Предприятия для DEB-based Linux-систем»
2. Разархивируем в отдельную папку.
3. Не помню нужно или нет установка данной библиотеки: #apt-get install libstdc++6:i386
4. Устанавливаем все дистрибутивы командой #sudo dpkg – i 1c-enterprise83*.deb
5. 1с сервер будет установлен в директорию «/opt/1C/v8.3»
По умолчанию должен запуститься сервер 1с «srv1cv83». Нужно его остановить. #service srv1cv83 stop
6. Проверить, какие 1с сервисы запущены проверяем командой «ps aux|grep cr» или/и «ps aux|grep 1с»
7. Далее, переименовываем папку с установленным 1с сервером и 1с хранилищем в нем. Например так: «/opt/1C/v8.3.8»
8. Теперь создаем скрипт автозапуска. «/etc/init.d/crserver838»
9. Файл скрипта ниже.
10. Для запуска корректируются параметры: BINDIR, STORAGES_DIR, DESC, NAMECR
11. Делаем скрипт исполняемым, и прописываем в автозапуск #chmod a+x /etc/init.d/crserver && update-rc.d crserver838 defaults
12. Бывают случае, когда не записывается запись для автозапуска. Можно глянуть информацию в «/etc/rc0.d»… «/etc/rcS.d».
Можно удалить автозапуск «update-rc.d -f crserver838 remove» «update-rc.d -f crserver remove» а потом снова зарегистрировать автозапуск «update-rc.d crserver838 defaults»
13. Проверить запущенные, или установить автозапуск в терминале можно при помощи программки sysv-rc-conf (ее нужно устанавливать из репозитания)
14. Запускаем сервис без перезагрузки #service crserver start
15. Запускаем конфигуратор 1с и создаем локальное хранилище. Подключение стандартное через tcp://<IP сервера>/<имя хранилища>
16. Так же создаем и второе хранилище, начиная с п.1. В скрипте изменить пути п.10. и переименовываем каталог п.7
17. Наслаждаемся.

#!/bin/bash
### BEGIN INIT INFO
# Provides: crserver838
# Required-Start: $all
# Required-Stop: $all
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: 1C 8.3.8 Confiration Storage Server
# Description: 1C 8.3.8 Confiration Storage Server
### END INIT INFO

SRV_PORT="1562"
STORAGES_DIR="/home/crsusr/crepo838"
#
BINDIR="/opt/1C/v8.3.8/i386"
PATH="${BINDIR}:${PATH}"
DESC="1C 8.3.8 Confiration Storage Server"
NAME=crserver
NAMECR=crserver838
DAEMON=${BINDIR}/$NAME
DAEMON_ARGS="-daemon -port ${SRV_PORT} -d ${STORAGES_DIR}"
PIDFILE=/var/run/$NAMECR.pid
SCRIPTNAME=/etc/init.d/$NAMECR

# ======[start]======

# Seting FD limit (fix: error 24 too many open files)
ulimit -n 50000

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

do_start()
{
 # Return
 # 0 if daemon has been started
 # 1 if daemon was already running
 # 2 if daemon could not be started
# start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON --test > /dev/null || return 1
 start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS || return 2
 # Add code here, if necessary, that waits for the process to be ready
 # to handle requests from services started subsequently which depend
 # on this one. As a last resort, sleep for some time.
}

do_stop()
{
 # Return
 # 0 if daemon has been stopped
 # 1 if daemon was already stopped
 # 2 if daemon could not be stopped
 # other if a failure occurred
 start-stop-daemon --stop --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAMECR
 RETVAL="$?"
 [ "$RETVAL" = 2 ] && return 2
 # Wait for children to finish too if this is a daemon that forks
 # and if the daemon is only ever run from this initscript.
 # If the above conditions are not satisfied then add some other code
 # that waits for the process to drop all resources that could be
 # needed by services started subsequently. A last resort is to
 # sleep for some time.
 start-stop-daemon --stop --oknodo --retry=0/30/KILL/5 --exec $DAEMON
 [ "$?" = 2 ] && return 2
 # Many daemons don't delete their pidfiles when they exit.
 rm -f $PIDFILE
 return "$RETVAL"
}

case "$1" in
 start)
 [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
 do_start
 case "$?" in
 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
 esac
 ;;
 stop)
 [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
 do_stop
 case "$?" in
 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
 esac
 ;;
 status)
 status_of_proc "$DAEMON" "$NAMECR" && exit 0 || exit $?
 ;;
 restart)
 #
 log_daemon_msg "Restarting $DESC" "$NAME"
 do_stop
 case "$?" in
 0|1)
 do_start
 case "$?" in
 0) log_end_msg 0 ;;
 1) log_end_msg 1 ;; # Old process is still running
 *) log_end_msg 1 ;; # Failed to start
 esac
 ;;
 *)
 # Failed to stop
 log_end_msg 1
 ;;
 esac
 ;;
 *)
 echo "Usage: $SCRIPTNAME {start|stop|status|restart}" >&2
 exit 3
 ;;
esac

# ======[theend]======
Вроде все.

Добавить комментарий